%define name	setarch
%define version	2.0
%define	release	%mkrel 4

Summary:	Personality setter
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Obsoletes:	linux32 sparc32
Provides:	linux32 sparc32
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This utility tells the kernel to report a different architecture than the 
current one, then runs a program in that environment.

%prep
%setup -q

%build
%{__cc} -o setarch setarch.c $RPM_OPT_FLAGS

%install
rm -rf $RPM_BUILD_ROOT
install -m644 setarch.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/setarch.8
install -m755 setarch -D $RPM_BUILD_ROOT%{_bindir}/setarch

LINKS="linux32"
%ifarch s390 s390x
LINKS="$LINKS s390 s390x"
%endif
%ifarch x86_64 sparc64
LINKS="$LINKS i386 x86_64"
%endif
%ifarch ppc ppc64
LINKS="$LINKS ppc ppc64 ppc32"
%endif
%ifarch sparc sparc64
LINKS="$LINKS sparc sparc64 sparc32"
cat << EOF > $RPM_BUILD_ROOT%{_bindir}/sparc32bash
#!/bin/sh
sparc32 bash \$@
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/sparc32bash
%endif
%ifarch ia64
LINKS="$LINKS i386 ia64"
%endif
%ifarch x86_64 ppc64 sparc64 ia64
LINKS="$LINKS linux64"
%endif
for I in $LINKS; do 
	ln $RPM_BUILD_ROOT%{_bindir}/setarch $RPM_BUILD_ROOT%{_bindir}/$I
	echo ".so setarch.8" > $RPM_BUILD_ROOT%{_mandir}/man8/$I.8
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man8/*.8*

%changelog
* Fri Nov 03 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 2.0-4pclos2007
- Build for PCLinuxOS 2007

